Bug 437281 - Clamav doesn't work with existing empty /var/lib/clamav/daily.inc/
Clamav doesn't work with existing empty /var/lib/clamav/daily.inc/
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
7
All Linux
low Severity urgent
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 07:36 EDT by Mykola Ulianytskyi
Modified: 2008-06-16 23:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:03:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Possible solution (672 bytes, patch)
2008-03-13 07:36 EDT, Mykola Ulianytskyi
no flags Details | Diff

  None (edit)
Description Mykola Ulianytskyi 2008-03-13 07:36:13 EDT
Description of problem:
   Clamav doesn't work with existing empty /var/lib/clamav/daily.inc/

Version-Release number of selected component (if applicable):
   clamav                  i386       0.92.1-1.fc7
   clamav-data             i386       0.92.1-1.fc7
   clamav-filesystem       i386       0.92.1-1.fc7
   clamav-lib              i386       0.92.1-1.fc7
   clamav-update           i386       0.92.1-1.fc7


How reproducible:
   Always

Steps to Reproduce:
1) yum install clamav clamav-data clamav-filesystem clamav-lib clamav-update


2) ls -l /var/lib/clamav/
-rw-r--r-- 1 clamav clamav  1109194 2008-02-12 00:40 daily.cvd
drwxr-xr-x 2 clamav clamav     4096 2008-02-12 00:40 daily.inc
-rw-r--r-- 1 clamav clamav 11347852 2008-02-12 00:40 main.cvd


3) clamscan /etc/fstab 
LibClamAV Error: cli_loaddb(): No supported database files found in
/var/lib/clamav/daily.inc
ERROR: Not supported data format
----------- SCAN SUMMARY -----------
Known viruses: 0
Engine version: 0.92.1
Scanned directories: 0
Scanned files: 0
Infected files: 0


4) remove in /etc/freshclam.conf string "Example"


5) freshclam -v
Current working dir is /var/lib/clamav
Max retries == 3
ClamAV update process started at Thu Mar 13 11:21:41 2008
Querying current.cvd.clamav.net
TTL: 300
Software version from DNS: 0.92.1
main.cvd version from DNS: 45
main.cvd is up to date (version: 45, sigs: 169676, f-level: 21, builder: sven)
WARNING: Removing corrupted incremental directory daily.inc
WARNING: Removing obsolete daily.cvd
Retrieving http://database.clamav.net/daily.cvd
Trying to download http://database.clamav.net/daily.cvd (IP: 62.26.160.3)
Downloading daily.cvd [100%]
daily.cvd updated (version: 6220, sigs: 59608, f-level: 26, builder: ccordes)
Database updated (229284 signatures) from database.clamav.net (IP: 62.26.160.3)


6) ls -l /var/lib/clamav/
total 12736
-rw-r--r-- 1 clamav clamav  1664182 2008-03-13 11:21 daily.cvd
-rw-r--r-- 1 clamav clamav 11347852 2008-02-12 00:40 main.cvd
-rw------- 1 clamav clamav       52 2008-03-13 11:21 mirrors.dat


7) clamscan /etc/fstab 
/etc/fstab: OK

----------- SCAN SUMMARY -----------
Known viruses: 228675
Engine version: 0.92.1
Scanned directories: 0
Scanned files: 1
Infected files: 0
Data scanned: 0.00 MB
Time: 3.700 sec (0 m 3 s)  
Actual results:


Additional info:
   Possible solution in attachment
Comment 1 Mykola Ulianytskyi 2008-03-13 07:36:13 EDT
Created attachment 297923 [details]
Possible solution
Comment 2 Bug Zapper 2008-05-14 11:22:50 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 23:03:40 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.